\name{verbosePrint}
\alias{verbosePrint}
\title{output to screen, with a flush.console}
\usage{
  verbosePrint(...)
}
\arguments{
  \item{...}{fed in to \code{message}}
}
\description{
  output to screen, with a flush.console
}
\note{
  This function calls \code{\link[utils]{flush.console}}
  after printing out the message, so that (for example) in
  heavy-processing loops containing per-loop messages, the
  console is always kept up-to-date (as opposed to spewing
  out all the messages at the end of the loop).
}
\examples{
\dontrun{
# demonstrating the 'flush.console()': try:
for ( i in 1:10 ) {
    message(i)
    A <- runif(10000000);
}
# Notice how the messages all get output all at once at the end of the loop.
# (You may need to play with the number in `runif`)
# This is due to the `runif` being processor-heavy.
# Now try:
for ( i in 1:10 ) {
    verbosePrint(i)
    # Like saying message(i); flush.console()
    A <- runif(10000000);
}
# Note how the messages appear in real-time now.
}
}
\seealso{
  verbosePrintf

  Other debug: \code{\link{printf}}, \code{\link{stopf}},
  \code{\link{tryCatch.W.E}}, \code{\link{verbosePrintf}},
  \code{\link{warningf}}
}

